var page = 0;
var size = 10;
var hasMore = true;

mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			contentdown: '',
			callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {

	Zepto("#showMore").hide();
	hasMore = true;
	page = 1;
	makeHtml(page, size, true);

}

/**
 * 上拉加载具体业务实现
 */
function loadMore() {

	if(hasMore) {

		page++;
		makeHtml(page, size, false);
	} else {

		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}

}

function GetListByBid() {

	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var begindate = plus.webview.currentWebview().opener().begindate;
	var enddate = plus.webview.currentWebview().opener().enddate;
	var minvalue = plus.webview.currentWebview().opener().minvalue;
	var maxvalue = plus.webview.currentWebview().opener().maxvalue;
	var ProjectManagerName = "";
	if(Zepto("#search").val() != undefined && Zepto("#search").val() != "") {
		ProjectManagerName = Zepto("#search").val();
	}
	var data = {
		Method: 'GetProjectManagerListByBid',
		token: app.getState().token,
		device_id: plus.device.uuid,
		begindate: begindate,
		enddate: enddate,
		minvalue: minvalue,
		maxvalue: maxvalue,
		ProjectManagerName: ProjectManagerName,
		PageIndex: page,
		PageSize: size

	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			mui.fire(plus.webview.currentWebview().opener(), 'GetTotalNum', {totalnum: response.RecordTotalNum});
			var dvcontent = Zepto('#content');
			for(var i = 0; i < response.message.length; i++) {
				var li = document.createElement('li');
				li.id = response.message[i].CompanyGuid;
				li.name = response.message[i].ProjectManagerName;
				li.className = 'mui-table-view-cell';
				li.innerHTML = '<a class="mui-navigate-right">' +
					'<span class="spanName">' + response.message[i].ProjectManagerName + '</span>' +
					'<span class="comName">' + response.message[i].CompanyName + '</span>' +
					'</a>';

				li.addEventListener('tap', function() {
					document.getElementById("UnitGuid").value = this.id;
					document.getElementById("PName").value = this.name;
					 
					if(parseInt(localStorage["coinnum"]) - 10 <= 0) {
						mui.toast("金币余额不足，请充值");
						mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
						return;
					}
					if(localStorage["isFree"] == '1') {
						 
//						GoldCoinConsumer("按中标条件查询建造师业绩");
						mui.openWindow({
							url: 'jianZaoShiXiangQing_main.html',
							id: 'jianZaoShiXiangQing_main.html',
							extras: {
								UnitGuid: document.getElementById("UnitGuid").value,
								PName: document.getElementById("PName").value
							}
						});
						return;
					}
					var bts = ["确定", "取消"];
					

					plus.nativeUI.confirm("查询将花费10枚金币，当前金币余额" + toThousands(localStorage["coinnum"]) + "枚，请确认是否查询。", function(e) {

						if(bts[e.index] == "确定") {

							GoldCoinConsumer("按中标条件查询建造师业绩");
							mui.openWindow({
								url: 'jianZaoShiXiangQing_main.html',
								id: 'jianZaoShiXiangQing_main.html',
								extras: {
									UnitGuid: document.getElementById("UnitGuid").value,
									PName: document.getElementById("PName").value
								}
							});

						}
					}, "提示", bts);

				});
				dvcontent.append(li);
			}
			//			}

			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
			var totalnum = Number(response.RecordTotalNum);
			var nownum = Number(page) * Number(size);

			if(nownum >= totalnum) {
				Zepto("#showMore").hide();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				hasMore = false;
			} else {
				Zepto("#showMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);

		}
	});
}

//加载数据
function makeHtml(page, size, ifcleardata) {
	if(ifcleardata) {
		Zepto('#content').html("");
	}

	GetListByBid();

}

if(mui.os.plus) {
	mui.plusReady(function() {

		setTimeout(function() {

			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1);

	});
} else {
	mui.ready(function() {

		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}

function SelectJZS() {
	pulldownRefresh();
}

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: 10,
		ConsumerContent: ConsumerContent
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {

 
				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(mui.os.android || window.localStorage["isFree"] == '0')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚金币");
			         mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
				   
				}

			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}