mui.init();
var wgtVer = '';
mui.plusReady(function() {
	function validator(passVal1) {
		if(passVal1.length < 6 || passVal1.length > 18) {
			return false;
		}
		var regexp = /(?!^(\d+|[a-zA-Z]+|[~!@#$%^&*?]+)$)^[\w~!@#$%\^&*?]+$/;
		if(!(regexp.test(passVal1))) {
			return false;
		}
		return true;
	}

	document.getElementById("btnEnSure").addEventListener('tap', function() {
		var uname = document.getElementById("uname").value.trim();
		var company = document.getElementById("company").value.trim();
		var tel = document.getElementById("tel").value.trim();
		var pwd = document.getElementById("pwd").value.trim();
		var pwd2 = document.getElementById("pwd2").value.trim();
		var yzm = document.getElementById("yzm").value.trim();
		var msg = "";
		if(uname == "" || tel == "" ||company==""|| pwd == "" || pwd2 == "" || yzm == "") {
			msg += "信息填写不完整！\r\n";
		} else if(!validatortel(tel)) {
			msg += "手机号码格式不正确！\r\n";
		} else if(!validator(pwd)) {
			msg += "新密码格式应为6-18位,含字母和数字!\n";
		} else if(pwd != pwd2) {
			msg += "确认密码不一致！\r\n";
		} 
		else if(yzm != smsCode) {
			msg += "验证码不正确！\r\n";
		} else if(document.getElementById("chk1").checked == false) {
			msg += "请先阅读并同意条款！\r\n";
		}
		if(msg != "") {
			mui.toast(msg.substring(0, msg.length - 2));
			return;
		}
		var user = app.getUser();
		var url = config.ServerUrl + "AppService/App_Data.ashx";
		var md5password = md5(tel + "|" + pwd);
		document.getElementById("pwd").value = md5password;
		document.getElementById("pwd2").value = md5password;
		var data = {
			method: "UserRegister",
			uname: uname,
			pwd: md5password,
			tel: tel,
			Company:company
		}
		mui.ajax(url, {
			data: data,
			dataType: "json",
			type: 'post', //HTTP请求类型
			timeout: 20000, //超时时间设置为10秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(data.success == true) {
					plus.nativeUI.showWaiting("注册成功，正在登录...");
					//var curr = plus.webview.currentWebview();
					//var wvs = plus.webview.all();
					//curr.hide();
					//curr.close();
					app.createUser("", "", ""); //清空登录名、用户名、密码
					app.createState(null); //清空token
					var loginInfo = {
						account: document.getElementById("tel").value,
						password: document.getElementById("pwd").value
					};
					login(loginInfo, false, function(err, type) { //调用登录方法  
						plus.nativeUI.closeWaiting(); //关闭等待动画
						if(err && err != '') {
							plus.nativeUI.toast(err, { //显示自动消失的对话框
								align: "center"
							});
							return;
						}
						toMain(type); //打开首页,type用户类型
					});

					app.setRemoteURL(); //清空缓存接口链接字符串
					app.setRemoteURL2(); //清空缓存接口链接字符串
					//plus.webview.open("login.html", "login.html", "", "slide-in-left", "10");

				} else if(data.success == "hassametel") {
					mui.toast("此手机号已被注册！");
				} else {
					mui.toast("注册失败！");
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				if(type == "timeout") {
					mui.toast("网络繁忙！");
					return;
				}
				console.log("错误代码：" + xhr.status)
				console.log("服务器返回内容：" + xhr.responseText);
				mui.toast("读取失败！");
			}
		});
	});

	/**
	 * 用户登录
	 **/
	function login(loginInfo, refreshdata, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if(loginInfo.account.length < 1) {
			return callback('账号不能为空');
		}
		if(loginInfo.password.length < 1) {
			return callback('密码不能为空');
		}

		var url = app.getInterfaceUrlSSL('XD.Login/token.ashx', 'get_token');

		//封装，传入接口名和方法名称
		var os = "";
		var CID = '';//plus.push.getClientInfo().clientid;
		if(mui.os.ios || mui.os.ipad || mui.os.iphone)
			os = "IOS";
		if(mui.os.android)
			os = "Android";
		var data = {
			LoginName: loginInfo.account,
			MobileID: CID,
			OS: os,
			MD5_Password: loginInfo.password,
			DeviceID: plus.device.uuid
		};
		data = JSON.stringify(data);
		mui.ajax(url, {
			data: data,
			dataType: "json",
			type: 'post', //HTTP请求类型
			timeout: 15000, //超时时间设置为15秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				try {
					window.localStorage["ifhasts"] = null;
					window.localStorage["TenantID"] = data.TenantID;
					authuser = data;
					if(authuser.errmsg == "" || authuser.errmsg == null) { //正常返回
						localStorage.clear();
						app.createUser(authuser.uguid, loginInfo.account, authuser.uname, loginInfo.password, authuser.TenantID);
						app.createState(authuser.token); //缓存token
						//saveCID(authuser.uguid, authuser.uname)
						localStorage["dname"] = loginInfo.account;
						localStorage["username"] = authuser.uname;
//						localStorage["userguid"] = authuser.uguid;
						getIsFree(); //判断版本是否免费
						GetInfo(); //获取个人信息
						return callback('', authuser.type); //authuser.type 用户类型
					} else {
						return callback('用户名或密码错误');
					}
				} catch(e) {
					console.log(e.message)
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				if(type == "timeout") {
					callback('网络繁忙', -1);
					return;
				}
				console.log("错误代码：" + xhr.status)
				console.log("服务器返回内容：" + xhr.responseText);
				callback('登陆失败', -1);
			}
		});
	};

	//打开首页
	var toMain = function(type) {
		var url = config.Url;
		var id = config.Url;
		var datatype = {
			type: type
		};
		openwindow(url, id, datatype, '100%', '100%');
	}
});
var canSend = true; //判断能否点击发送验证码
var smsCode = '';
//获取验证码
document.getElementById("getYZM").addEventListener('tap', function() {
	if(canSend) {
		var tel = document.getElementById("tel").value.trim();
		if(tel == '') {
			mui.toast('请先填写手机号');
			return;
		} else if(!validatortel(tel)) {
			mui.toast('手机格式不正确');
			return;
		}
		plus.nativeUI.showWaiting();
		var url = config.ServerUrl + "AppService/App_Data.ashx";
		var data = {
			method: "GetSmsIdentCode",
			Mobile: tel
		}
		mui.ajax(url, {
			data: data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				canSend = false;
				declineTime();
				mui.toast('验证码已发送');
				plus.nativeUI.closeWaiting();
				smsCode = JSON.stringify(data).substr(1, 6);
			},
			error: function(xhr, type, errorThrown) {
				if(type == "timeout") {
					mui.toast('网络繁忙');
					return;
				}
				console.log("错误代码：" + xhr.status)
				console.log("服务器返回内容：" + xhr.responseText);
				plus.nativeUI.closeWaiting();
			}
		});
	} else {
		return;
	}
})

//倒计时
function declineTime() {
	var s = 60;
	var time1 = setInterval(function() {
		if(s == 0) {
			clearInterval(time1);
			document.getElementById("getYZM").innerText = '获取验证码';
			canSend = true;
		} else
			document.getElementById("getYZM").innerText = (s--) + '秒后可重发';
	}, 1000);
}

function validatortel(tel) {
	if(tel.length != 11) {
		return false;
	}
	var regexp = /^\d+$/;
	if(!(regexp.test(tel))) {
		return false;
	}
	return true;
}

//条款内容
document.getElementById("TK").addEventListener('tap', function() {
	mui.openWindow({
		url: 'tiaoKuanContent.html',
		id: 'tiaoKuanContent.html'
	})

})


function ckchange(){
	if(document.getElementById("chk1").checked)
	{
		document.getElementById("btnEnSure").style.border="1px solid #FFac3e";
		document.getElementById("btnEnSure").style.background="#FFac3e";
	}	
	else
	{
		document.getElementById("btnEnSure").style.border="1px solid #c0c0c0";
		document.getElementById("btnEnSure").style.background="#c0c0c0";
	}
}

//判断版本是否免费
function getIsFree() {
	var data = {
		Method: "GetIsFree",
		version: wgtVer,
		token: app.getState().token,
		device_id: plus.device.uuid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data != null) {
				if(data.isfree == 'true') {
					window.localStorage["isFree"] = '1';
				} else {
					window.localStorage["isFree"] = '0';
				}
			} else {
				window.localStorage["isFree"] = '0';
			}

		},
		error: function(xhr, type, errorThrown) {
			window.localStorage["isFree"] = '0';
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

//获取个人信息
function GetInfo() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		method: "getMyInfo"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			try {
 
				if(info.message.length > 0) {
					localStorage["usertel"] = data.message[0].Mobile;
 
				    localStorage["RegisterTime"] = data.message[0].RegisterTime.substr(0,10);
				}
			} catch(e) {
				console.log(e.message);
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}