mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh,
			contentdown: ''
		}
	}
});

var page = 1;
var hasMore = true;
var table = document.body.querySelector('.mui-table-view');
var self;
var method;

mui.plusReady(function() {
	 
	self = plus.webview.currentWebview().parent();
	method = self.method;
	table.innerHTML = "";
	if(method == "getListByName") {
		drawHtmlByName(1, 15, self.CompanyName);
	} else if(method == "getListByZyzz") {
		drawHtmlByOthers1(1, 15);
	} else {
		drawHtmlByOthers2(1, 15);
	}
})

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	hasMore = true;
	page = 1;
	setTimeout(function() {
		table.innerHTML = "";
		if(method == "getListByName") {
			drawHtmlByName(1, 15, self.CompanyName);
		} else if(method == "getListByZyzz") {
			drawHtmlByOthers1(1, 15);
		} else {
			drawHtmlByOthers2(1, 15);
		}
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		document.getElementById("noMore").innerText = "上拉显示更多";
	}, 500);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
 
	setTimeout(function() {
		if(hasMore == true) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);

		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			document.getElementById("noMore").innerText = "没有更多数据了";
		}
		if(method == "getListByName")
			drawHtmlByName(++page, 15, self.CompanyName);
		else if(method == "getListByZyzz") {
			drawHtmlByOthers1(++page, 15);
		} else {
			drawHtmlByOthers2(++page, 15);
		}
	}, 500);
}

//根据公司名称获取列表
function drawHtmlByName(index, size, keyword) {

	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyList',
		CompanyName: keyword,
		PageIndex: page,
		PageSize: size,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
            if(response.RecordTotalNum>0)
            {
            	document.getElementById("companynum").innerText=response.RecordTotalNum;
            }
			//			if(response.isnext == '0') { //判断有没有更多数据
			//				hasMore = false;
			//				document.getElementById("noMore").innerText = "没有更多数据了";
			//			} else
			//				hasMore = true;
			var n1 = response.RecordTotalNum;

			var max = 0;
			if(n1 % size == 0)
				max = n1 / size;
			else
				max = n1 / size + 1;
			if(((index + 1) > max) || (n1 / size == 0)) { //判断有没有更多数据
                
				hasMore = false;
				document.getElementById("noMore").innerText = "没有更多数据了";
                mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			} else {
				hasMore = true;
                mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
			}
//			var li = '<div style="width:100%;text-align: center;margin-top:30px;color:#999;font-size:16px">请选择公司名称</div>';
//			document.getElementById("zzList").innerHTML = li;
			//getZiZhiList(response.message[0].CompanyGuid, response.message[0].CompanyName);
			for(var i = 0; i < response.message.length; i++) {
				
				var li = '<li id="' + response.message[i].UnitGuid + '" name="' + response.message[i].CompanyName + '">';
				li += '<a>';
				li += response.message[i].CompanyName;
				li += '</a></li>';
				table.innerHTML += li;
			}

			//			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

//根据主营资质获取列表
function drawHtmlByOthers1(index, size) {
	 
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyListByCredentialsZX',
		CredentialsName: self.CredentialsName,
		CredentialsLevel: self.CredentialsLevel,
		Yema: index,
		num: size,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			if(response.isnext == '0') { //判断有没有更多数据
				hasMore = false;
				document.getElementById("noMore").innerText = "没有更多数据了";
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			} else{
				hasMore = true;
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
			}
				
			if(response.message != 'nodata') {
				document.getElementById("companynum").innerText=response.TotalNum;
				//getZiZhiList(response.message[0].CompanyGuid, response.message[0].CompanyName);
				for(var i = 0; i < response.message.length; i++) {
					var li = '<li id="' + response.message[i].CompanyGuid + '" name="' + response.message[i].CompanyName + '">';
					li += '<a>';
					li += response.message[i].CompanyName;
					li += '</a></li>';
					table.innerHTML += li;
				}
			}
			else{
				document.getElementById("companynum").innerText=0;
				 
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

//根据主营资质和具备资质获取列表
function drawHtmlByOthers2(index, size) {
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyListByCredentialsZHXZX',
		CredentialsName: self.CredentialsName,
		CredentialsLevel: self.CredentialsLevel,
		CredentialsName2: self.CredentialsName2,
		CredentialsLevel2: self.CredentialsLevel2,
		Yema: index,
		num: size,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 100000, //超时时间设置为10秒；
		success: function(response) {
			if(response.isnext == '0') { //判断有没有更多数据
				hasMore = false;
				document.getElementById("noMore").innerText = "没有更多数据了";
					mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			} else{
				hasMore = true;
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
			}
				
			if(response.message != 'nodata') {
				document.getElementById("companynum").innerText=response.TotalNum;
				//getZiZhiList(response.message[0].CompanyGuid, response.message[0].CompanyName);
				for(var i = 0; i < response.message.length; i++) {
					var li = '<li id="' + response.message[i].CompanyGuid + '" name="' + response.message[i].CompanyName + '">';
					li += '<a>';
					li += response.message[i].CompanyName;
					li += '</a></li>';
					table.innerHTML += li;
				}
			}
//			else{
//				document.getElementById("companynum").innerText=0;
//			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

mui('.mui-table-view-chevron').on('tap', 'li', function() {
	getZiZhiList(this.getAttribute('id'), this.getAttribute('name'));
})

//查询公司资质
function getZiZhiList(Guid, Name) {
	document.getElementById("zzList").innerHTML = '<li class="liTitle">' + Name + '</li>';
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetCompanyByguid',
		CompanyGuid: Guid,
		token: Par_token,
		device_id: Par_deviceid
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
		 
				
			if(response.message != 'nodata') {
			 
				for(var i = 0; i < response.message.length; i++) {
					
					var CredentialsLevel=response.message[i].CredentialsLevel=='无'?'':response.message[i].CredentialsLevel;
					var li = '<li>';
					li += '<span class="spanTitle">' + response.message[i].CredentialsName + '</span>';
					li += '<span class="spantxt">' +CredentialsLevel+ '</span>';
					li += '</li>';
					document.getElementById("zzList").innerHTML += li;
				}
			} else {
			 
				var li = '<div style="width:100%;text-align: center;margin-top:5px;">暂无数据</div>';
				document.getElementById("zzList").innerHTML += li;
			}
			mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}